Skip to main content
GET
List available runners

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Query Parameters

runnerGroupId
string

Filters (all optional; AND-combined).

gpuType
string
architecture
string
healthyOnly
boolean
pageSize
integer<int32>
pageToken
string
view
enum<string>

Detail level. Unspecified defaults to BASIC for List.

Available options:
RUNNER_VIEW_UNSPECIFIED,
RUNNER_VIEW_BASIC,
RUNNER_VIEW_FULL
serviceVisibility
enum<string>

Require a runner that can enforce this generic L4 service visibility. UNSPECIFIED does not filter.

Available options:
VISIBILITY_UNSPECIFIED,
VISIBILITY_PUBLIC,
VISIBILITY_PRIVATE,
VISIBILITY_CUSTOM

Response

OK

runners
object[]
nextPageToken
string